Package fr.gouv.vitam.common.model.administration.profile

# Class ProfileModel

java.lang.Object
fr.gouv.vitam.common.model.administration.profile.ProfileModel

public class ProfileModel extends Object
Data Transfer Object Model of Profile (DTO).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTIVATION_DATE`
  `static final String`
  `CREATION_DATE`
  `static final String`
  `DEACTIVATION_DATE`
  `protected String`
  `description`
  `protected ProfileFormat`
  `format`
  `protected String`
  `identifier`
  `static final String`
  `LAST_UPDATE`
  `protected String`
  `name`
  `protected ProfileSedaVersion`
  `sedaVersion`
  `protected ProfileStatus`
  `status`
  `static final String`
  `TAG_DESCRIPTION`
  `static final String`
  `TAG_FORMAT`
  `static final String`
  `TAG_IDENTIFIER`
  `static final String`
  `TAG_NAME`
  `static final String`
  `TAG_PATH`
  `static final String`
  `TAG_SEDA_VERSION`
  `static final String`
  `TAG_STATUS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProfileModel()`
  Constructor without fields use for jackson
  `ProfileModel(CreateProfileModel createProfileModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivationDate()`
  `String`
  `getCreationDate()`
  `String`
  `getDeactivationDate()`
  `String`
  `getDescription()`
  Get the profile description
  `ProfileFormat`
  `getFormat()`
  Get the format of the profile file (xsd, rng, ...)
  `String`
  `getId()`
  `String`
  `getIdentifier()`
  Get the identifier of the profile
  `String`
  `getLastUpdate()`
  `String`
  `getName()`
  Get name of the profile
  `String`
  `getPath()`
  `ProfileSedaVersion`
  `getSedaVersion()`
  Get the profile seda version
  `ProfileStatus`
  `getStatus()`
  Get the profile status
  `Integer`
  `getTenant()`
  `Integer`
  `getVersion()`
  `ProfileModel`
  `setActivationDate(String activationDate)`
  `ProfileModel`
  `setCreationDate(String creationDate)`
  `ProfileModel`
  `setDeactivationDate(String deactivationDate)`
  `ProfileModel`
  `setDescription(String description)`
  Set or change the profile description
  `ProfileModel`
  `setFormat(ProfileFormat format)`
  Set the profile file format (xsd, rng, ...)
  `ProfileModel`
  `setId(String id)`
  `ProfileModel`
  `setIdentifier(String identifier)`
  Set the identifier of the profile This value must be unique by tenant
  `ProfileModel`
  `setLastUpdate(String lastUpdate)`
  `ProfileModel`
  `setName(String name)`
  Set or change the profile name
  `ProfileModel`
  `setPath(String path)`
  Profile path in storage
  `ProfileModel`
  `setSedaVersion(ProfileSedaVersion sedaVersion)`
  Set the profile seda version (2.1, 2.2, 2.3, ...)
  `ProfileModel`
  `setStatus(ProfileStatus status)`
  Set or change the profile status
  `ProfileModel`
  `setTenant(Integer tenant)`
  `void`
  `setVersion(Integer version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_IDENTIFIER

    public static final String TAG_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### TAG_NAME

    public static final String TAG_NAME
    See Also:
      - Constant Field Values

  - ### TAG_DESCRIPTION

    public static final String TAG_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### TAG_STATUS

    public static final String TAG_STATUS
    See Also:
      - Constant Field Values

  - ### TAG_FORMAT

    public static final String TAG_FORMAT
    See Also:
      - Constant Field Values

  - ### TAG_SEDA_VERSION

    public static final String TAG_SEDA_VERSION
    See Also:
      - Constant Field Values

  - ### TAG_PATH

    public static final String TAG_PATH
    See Also:
      - Constant Field Values

  - ### CREATION_DATE

    public static final String CREATION_DATE
    See Also:
      - Constant Field Values

  - ### LAST_UPDATE

    public static final String LAST_UPDATE
    See Also:
      - Constant Field Values

  - ### ACTIVATION_DATE

    public static final String ACTIVATION_DATE
    See Also:
      - Constant Field Values

  - ### DEACTIVATION_DATE

    public static final String DEACTIVATION_DATE
    See Also:
      - Constant Field Values

  - ### identifier

    protected String identifier

  - ### name

    protected String name

  - ### description

    protected String description

  - ### status

    protected ProfileStatus status

  - ### format

    protected ProfileFormat format

  - ### sedaVersion

    protected ProfileSedaVersion sedaVersion

- ## Constructor Details

  - ### ProfileModel

    public ProfileModel()
    Constructor without fields use for jackson

  - ### ProfileModel

    public ProfileModel(CreateProfileModel createProfileModel)

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      id

  - ### setId

    public ProfileModel setId(String id)
    Parameters:
      `id` - value to set field
    Returns:
      this

  - ### getTenant

    public Integer getTenant()
    Returns:
      tenant

  - ### setTenant

    public ProfileModel setTenant(Integer tenant)
    Parameters:
      `tenant` - value to set working tenant
    Returns:
      this

  - ### getVersion

    public Integer getVersion()
    Returns:
      version

  - ### setVersion

    public void setVersion(Integer version)
    Parameters:
      `version` - to set

  - ### getIdentifier

    public String getIdentifier()
    Get the identifier of the profile
    Returns:
      identifier as String

  - ### setIdentifier

    public ProfileModel setIdentifier(String identifier)
    Set the identifier of the profile This value must be unique by tenant
    Parameters:
      `identifier` - as String
    Returns:
      this

  - ### getName

    public String getName()
    Get name of the profile
    Returns:
      name as String

  - ### setName

    public ProfileModel setName(String name)
    Set or change the profile name
    Parameters:
      `name` - as String to set
    Returns:
      this

  - ### getDescription

    public String getDescription()
    Get the profile description
    Returns:
      description of profile

  - ### setDescription

    public ProfileModel setDescription(String description)
    Set or change the profile description
    Parameters:
      `description` - to set
    Returns:
      this

  - ### getStatus

    public ProfileStatus getStatus()
    Get the profile status
    Returns:
      status of profile

  - ### setStatus

    public ProfileModel setStatus(ProfileStatus status)
    Set or change the profile status
    Parameters:
      `status` - toi set
    Returns:
      this

  - ### getFormat

    public ProfileFormat getFormat()
    Get the format of the profile file (xsd, rng, ...)
    Returns:
      the file format as string

  - ### setFormat

    public ProfileModel setFormat(ProfileFormat format)
    Set the profile file format (xsd, rng, ...)
    Parameters:
      `format` - to set
    Returns:
      this

  - ### getSedaVersion

    public ProfileSedaVersion getSedaVersion()
    Get the profile seda version
    Returns:
      the profile seda version

  - ### setSedaVersion

    public ProfileModel setSedaVersion(ProfileSedaVersion sedaVersion)
    Set the profile seda version (2.1, 2.2, 2.3, ...)
    Parameters:
      `sedaVersion` - to set
    Returns:
      this

  - ### getPath

    public String getPath()
    Returns:
      path as String

  - ### setPath

    public ProfileModel setPath(String path)
    Profile path in storage
    Parameters:
      `path` - to set
    Returns:
      this

  - ### getCreationDate

    public String getCreationDate()
    Returns:
      the creation date of profile

  - ### setCreationDate

    public ProfileModel setCreationDate(String creationDate)
    Parameters:
      `creationDate` - to set
    Returns:
      this

  - ### getLastUpdate

    public String getLastUpdate()
    Returns:
      last update of profile

  - ### setLastUpdate

    public ProfileModel setLastUpdate(String lastUpdate)
    Parameters:
      `lastUpdate` - to set
    Returns:
      this

  - ### getActivationDate

    public String getActivationDate()
    Returns:
      the activation date of profile

  - ### setActivationDate

    public ProfileModel setActivationDate(String activationDate)
    Parameters:
      `activationDate` - to set
    Returns:
      this

  - ### getDeactivationDate

    public String getDeactivationDate()
    Returns:
      the desactivation date of profile

  - ### setDeactivationDate

    public ProfileModel setDeactivationDate(String deactivationDate)
    Parameters:
      `deactivationDate` - to set
    Returns:
      this